org.apache.cassandra.index

## Class TargetParser

- java.lang.Object
- - org.apache.cassandra.index.TargetParser

    public class TargetParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TargetParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Pair<ColumnDefinition,IndexTarget.Type>` `parse(CFMetaData cfm, IndexMetadata indexDef)`
`static Pair<ColumnDefinition,IndexTarget.Type>` `parse(CFMetaData cfm, java.lang.String target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TargetParser

    public TargetParser()

### Method Detail

#### parse

    public static Pair<ColumnDefinition,IndexTarget.Type> parse(CFMetaData cfm,
                                                                IndexMetadata indexDef)

#### parse

    public static Pair<ColumnDefinition,IndexTarget.Type> parse(CFMetaData cfm,
                                                                java.lang.String target)